SSSD(8)

NAME
sssd - dimoni dels serveis de seguretat del sistema (System Security Services Daemon)

SYNOPSIS

sssd [options]

DESCRIPCIÓ

L'SSSD proporciona un conjunt de dimonis per gestionar l'accés als directoris remots i els mecanismes d'autenticació. Proporciona una interfície NSS i PAM cap al sistema i un sistema d'accés a la capa de dades amb connectors per connectar a orígens múltiples de comptes diferents, com ara la interfície D-Bus. També és la base per proporcionar l'auditoria dels clients i les polítiques dels serveis per a projectes com FreeIPA. Proporciona una base de dades més robusta on emmagatzemar els usuaris locals, així com dades addicionals de l'usuari.

OPCIONS

-d,--debug-level NIVELL
    L'SSSD admet dues representacions per a l'especificació del nivell de depuració. La més senzilla és especificar un número del 0-9, que representa el que permet cada nivell i tots els missatges de depuració de nivell baix. L'opció més exhaustiva és especificar una màscara de bits en hexadecimal per activar o desactivar els nivells específics (per exemple, si voleu suprimir un nivell).

    Si us plau, tingueu en compte que cadascun dels serveis de l'SSSD registra el seu fitxer propi de registre. També tingueu en compte que l'habilitació del “debug_level” a la secció “[sssd]”únicament habilita la depuració del mateix procés de l'sssd, no per al procés del contestador o del proveïdor. El paràmetre “debug_level” s'ha d'afegir en totes les seccions que vulgueu que generin registres.

    A més de canviar el nivell del registre al fitxer de configuració amb el paràmetre “debug_level”, que és permanent, però requereix que es reiniciï l'SSSD, també és possible canviar el nivell de depuració al vol amb l'eina sss_debuglevel(8).

    Els nivells de depuració que s'admeten actualment:

    0, 0x0010: Fallides fatals. Qualsevol cosa que impedeixi la posada en marxa de l'SSSD o provoqui el seu cessament.

    1, 0x0020: Critical failures. An error that doesn't kill SSSD, but one that indicates that at least one major feature is not going to work properly.

    2, 0x0040: Fallides serioses. Un error que anuncia que una petició o una operació en particular ha fallat.

    3, 0x0080: Fallides menors. Aquests són els errors que enterboleixen i poden fer fracassar l'operació dels 2.

    4, 0x0100: Ajusts de la configuració.

    5, 0x0200: Dades de les funcions.

    6, 0x0400: Missatges de traça per al funcionament de les funcions.

    7, 0x1000: Missatges de traça per a les funcions internes de control.

    8, 0x2000: Contingut de les variables de les funcions internes que poden ser interessants.

    9, 0x4000: Informació de traçat extremadament de baix nivell.

    Per registrar els nivells de depuració de la màscara de bits que es requereixi, només heu d'afegir els seus números com es mostra en els següents exemples:

    Exemple: Per registrar les fallides fatals, les fallides crítiques, les fallides serioses i les dades de les funcions, utilitzeu0x0270.

    Exemple: Per registrar les fallides fatals, els ajusts de la configuració, les dades de les funcions, els missatges de traça per a les funcions internes de control, utilitzeu 0x1310.

    Nota: El format de la màscara de bits dels nivells de depuració es va introduir en la versió 1.7.0.

    Per defecte: 0

--debug-timestamps=mode
    1: Afegeix una marca temporal als registres de depuració

    0: Inhabilita la marca temporal als registres de depuració

    Per defecte: 1

--debug-microseconds=mode
    1: Afegeix els mil⋅lisegons a les marques temporals als missatges de depuració

    0: Inhabilita els mil⋅lisegons a les marques temporals

    Per defecte: 0

-f,--debug-to-files
    Envia la sortida de depuració als fitxers en comptes de l'stderr. Per defecte, els fitxers dels registres s'emmagatzemen a /var/log/sssd i hi ha fitxers dels registres que se separen per a cadascun dels serveis i dels dominis de l'SSSD.

    This option is deprecated. It is replaced by --logger=files.

--logger=value
    Location where SSSD will send log messages. This option overrides the value of the deprecated option --debug-to-files. The deprecated option will still work if the --logger is not used.

    stderr: Redirect debug messages to standard error output.

    files: Redirect debug messages to the log files. By default, the log files are stored in /var/log/sssd and there are separate log files for every SSSD service and domain.

    journald: Redirect debug messages to systemd-journald

    Per defecte: sense establir

-D,--daemon
    Esdevé un dimoni després de la posada en marxa.

-i,--interactive
    Executa en primer pla, no esdevinguis un dimoni.

-c,--config
    Especifica un fitxer de configuració diferent al predeterminat. Per defecte és /etc/sssd/sssd.conf. Per consultar la sintaxi del fitxer de configuració i les opcions, aneu a la pàgina del manual del sssd.conf(5).

-g,--genconf
    Do not start the SSSD, but refresh the configuration database from the contents of /etc/sssd/sssd.conf and exit.

-s,--genconf-section
    Similar to “--genconf”, but only refresh a single section from the configuration file. This option is useful mainly to be called from systemd unit files to allow socket-activated responders to refresh their configuration without requiring the administrator to restart the whole SSSD.

-?,--help
    Mostra el missatge d'ajuda i surt.

--version
    Imprimeix el número de la versió i surt.

SENYALS

SIGTERM/SIGINT
    Informa l'SSSD per finalitzar elegantment tots els seus processos fills i després atura el monitor.

SIGHUP
    Diu a l'SSSD que deixi d'escriure als actuals descriptors de fitxers de depuració i que els tanqui i els reobri. Això intenta facilitar la rotació dels registres amb programes com logrotate.

SIGUSR1
    Diu a l'SSSD que simuli l'operació sense connexió pel període del paràmetre “offline_timeout”. Això és útil per fer proves. El senyal es pot enviar directament al procés sssd o sssd_be.

SIGUSR2
    Diu a l'SSSD que es desconnecti immediatament. Això és útil per fer proves. El senyal es pot enviar directament al procés sssd o sssd_be.

NOTES

Si la variable d'entorn SSS_NSS_USE_MEMCACHE està establerta a "NO", les aplicacions clients no utilitzaran el fast en la memòria cau.

VEGEU TAMBÉ

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-files(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/